/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.math;

import static org.junit.Assert.*;

import org.junit.Test;

/**
 * 
 * @author Matthias Betz
 *
 */
public class Vector3dTest {

	@Test
	public void testDotProduct() {
		Vector3d vec = new Vector3d(1, 0, 0);
		Vector3d v2 = new Vector3d(1, 1, 0);
		v2.normalize();
		assertEquals(Math.sqrt(2) / 2, vec.dot(v2), 0.00001);
		
		Vector3d v3 = new Vector3d(1, -1, 0);
		v3.normalize();
		assertEquals(Math.sqrt(2) / 2, vec.dot(v3), 0.00001);
	}

}
